package co.gov.igac.snc.persistence.util;

/**
 * enumeración con los dominios que se manejan en la tabla DOMINIO
 *
 * @author ??
 */
public enum EDominio {
    ACTUALIZACION_FORMATOS,
    ACTUALIZACION_TIPO_PROCESO,
    ACTUALIZACION_ZONA,
    ACTUALIZACION_ORD_AJU_EST,
    AVALUO_AREA_REG_FUENTE,
    AVALUO_AREA_REG_TIPO,
    AVALUO_PREDIO_ANEXO_FUENTE,
    AVALUO_PREDIO_ANEXO_TIPO,
    AVALUO_CLASE_SUELO,
    AVALUO_COMITE_PROF_ACTI,
    AVALUO_PREDIO_CULT_ASPE_TEC,
    AVALUO_PREDIO_TIPO_AVALUO,
    AVALUO_TIPO_AVALUO,
    AVALUO_UNIDAD_AREA,
    AVALUO_UNIDAD_CONSTRUCCION,
    AVALUO_MOVIMIENTO_JUSTIFICA,
    AVALUO_CAPITULO_CODIGO,
    AVISO_REGISTRO_MOTI_NO_PROC,
    CATASTRO_DESCENTRALIZADO,
    CERT_ESP_DATO_CERTIFICAR,
    COMISION_ESTADO,
    COMISION_ESTADO_MOTIVO,
    COMISION_NOVEDAD,
    COMISION_TIPO,
    COMISION_TRAMITE_DATO_DATO,
    COMISION_TRAMITE_RESULT_AV,
    CONSIGNACION_TIPO_CUENTA,
    CONTRATO_INTERADMIN_REGIMEN,
    CONTROL_CALIDAD_ESPECIFICAC,
    CONTROL_CALIDAD_APROBO,
    CONVENIO_CLASE,
    CONVENIO_TIPO_PROYECTO,
    DATO_COMPLEMENTAR_TIPO,
    DATO_RECTIFICAR_TIPO,
    DERECHO_PROPIEDAD_ENTIDAD_E,
    DERECHO_PROPIEDAD_MODO_ADQU,
    DERECHO_PROPIEDAD_TIPO_TITU,
    DOCUMENTO_APODERADO,
    DOCUMENTO_ESTADO,
    DOCUMENTO_REPRESENTANTE,
    DOCUMENTO_SOPORTE_PRODUCTOS,
    SECCION_PLANTILLA_REPORTE,
    FOTO_TIPO,
    GRUPO_PRODUCTOS,
    INCONVENIENTES_REG_LEV_TOPO,
    INFORMACION_BASICA_AGR_TIPO,
    INFORMACION_BASICA_CAR_TIPO,
    MUTACION_CLASE,
    MUTACION_CLASIFICACION,
    MUTACION_1_SUBTIPO,
    MUTACION_2_SUBTIPO,
    MUTACION_3_SUBTIPO,
    MUTACION_4_SUBTIPO,
    MUTACION_5_SUBTIPO,
    MUTACION_SUBTIPO,
    MOVIMIENTO_AVALUO_TIPO,
    NORMAS_VIGENTES,
    OFICINAS_EMISORAS_TITULOS,
    PERSONA_ESTADO_CIVIL,
    PERSONA_PREDIO_TIPO,
    PERSONA_TIPO_IDENTIFICACION,
    PERSONA_TIPO_PERSONA,
    PERSONA_PREDIO_PROPIEDAD_TI,
    PREDIO_CONDICION_PROPIEDAD,
    PREDIO_DEPARTAMENTO,
    PREDIO_DESTINO,
    PREDIO_ESTADO,
    PREDIO_INCONSISTENCIA_TIPO,
    PREDIO_MUNICIPIO,
    PREDIO_SERVIDUMBRE_SERVIDUM,
    PREDIO_TIPO,
    PREDIO_TIPO_AVALUO,
    PREDIO_TIPO_CATASTRO,
    PREDIO_TIPO_INMUEBLE,
    PREDIO_ZONA_UNIDAD_ORGANICA,
    PRO_CAT_DET_CON_DESTINO_A,
    PRO_CAT_DET_DES_DEP_GEO,
    PRO_CAT_DET_DES_TRA_CAT,
    PROFESIONAL_TIPO_VINCULA,
    PROYECCION_CANCELA_INSCRIBE,
    RAZON_CANCELACION,
    REG_PRE_CRITERIO_BUSQUEDA,
    REG_PRE_FORMATO,
    REG_PRE_NIVEL_INFORMACION,
    RESOLUCIONES_TIPO_BUSQUEDA,
    PREDIO_TIPO_DEL_ESTADO,
    // Dominio para las categorías de los reportes
    REP_REPORTE_CATEGORIA,
    REP_REPORTE_ID_JASPER_URL,
    REP_FORMATOS_DESCARGA,
    REP_DIAS_TRANSCURRIDOS,
    REPORTE_CATEGORIA_PARAMETRI,
    REPORTE_ESTADO,
    // Dominios de los reportes de cierre anual
    REPO_JASPER_CIERRE_DEPA,
    REPO_JASPER_CIERRE_LISTADO,
    REPO_JASPER_CIERRE_MUNI,
    REPO_JASPER_CIERRE_PROCESO,
    //---Dominios para la clasificación de reportes de Estadisticos, Inconsistencias y Auditoria
    REPORTE_ESTADISTICOS,
    REPORTE_INCONSISTENCIA,
    REPORTE_AUDITORIA,
    REPORTE_DATOS_DESPLEGAR,
    SOLICITANTE_SOLICITUD_RELAC,
    SOLICITANTE_TIPO_SOLICITANT,
    SOLICITUD_CLASE_CORRESPONDE,
    SOLICITUD_ESTADO,
    SOLICITUD_SISTEMA_ENVIO,
    SOLICITUD_TIPO,
    //---- Dominios para tipos de solicitud de Avaluos Comerciales según Tipo de solicitante
    SOLICITUD_ORIGEN_FISCALIA,
    SOLICITUD_ORIGEN_JUZGADO,
    SOLICITUD_ORIGEN_PROCURADUR,
    SOLICITUD_ORIGEN,
    TIPO_DOCUMENTO_CLASE,
    TRAMITE_CLASIFICACION,
    //métodos de comunicación de la notificación
    TRAMITE_DOCUMENTO_METO_COMU,
    //D: medios físicos de notificación
    TRAMITE_DOCUMENTO_MENOFI,
    //D: metodos de notificación de documentos
    TRAMITE_DOCUMENTO_METO_NOTI,
    TRAMITE_ESTADO,
    TRAMITE_FUENTE,
    TRAMITE_MARCO_JURIDICO,
    TRAMITE_TIPO_INSCRIPCION,
    //--------------------------------
    TRAMITE_TIPO_SOLICITUD,
    TRAMITE_TIPO_TRAMITE,
    TRAMITE_TIPO_TRAMITE_AVALUO,
    UNIDAD_CONSTRUCION_ANIO,
    UNIDAD_CONSTRUCION_TIPIFICA,
    UNIDAD_CONSTRUCION_USO,
    UNIDAD_MEDIDA,
    UNIDAD_MEDIDA_AREA,
    UNIDAD_PISO_UBICACION,
    ENTIDAD_ESTADO,
    UNIDAD_CONSTRUCCION_TIP_CAL,
    UNIDAD_CONSTRUCCION_TIPO,
    //v1.1.9
    //--Dominio para Formato de Productos
    PRODUCTO_CATASTRAL_FORMATO,
    PREDIO_TIPO_BLOQUEO,
    PREDIO_TIPO_DESBLOQUEO,
    TRAMITE_ESTADO_BLOQUEO,
    ZONA_CIERRE_VIGENCIA,
    ZONA_FISICA,
    FORMATO_PDF,
    //---Dominios para la clasificación de zonas de los reportes
    ZONA_GEOECONOMICA,
    TIPO_TITULO,
    ANIO_REPORTE,
    TIPO_BLOQUEO,
    REPORTES_FORMATO,
    //------------------------
    USUARIO_ADMIN_CIERRE_ANIO;

}
